petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDLLibraryOpen

Opens a PETSc dynamic link library

### Synopsis

    PetscErrorCode  PetscDLLibraryOpen(MPI_Comm comm,const char path[],PetscDLLibrary *entry)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - processors that are opening the library Many br
| path | - name of the library, can be relative or absolute Many br

### Output Parameter

entry -a PETSc dynamic link library entry Many br

Many br

### Notes

[[<http,ftp>://hostname]/directoryname/]libbasename[.so.1.0] Many br

If the library has the symbol PetscDLLibraryRegister_basename() in it then that function is automatically run Many brwhen the library is opened. Many br

${PETSC_ARCH} occuring in directoryname and filename Many brwill be replaced with the appropriate value. Many br

### See Also

PetscLoadDynamicLibrary(), PetscDLLibraryAppend()

Level:developer
Location:src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages